import { ApiFunction } from '..';
export declare type HooksContext = {
    ctx: any;
    event?: any;
};
/**
 * @private
 * private api, may change without notice.
 * Use asynchronous-local-storage due to serverless environment does not support node.js 12.17.0
 */
export declare const als: {
    getStore(key: string): any;
    run(ctx: HooksContext, callback: any): Promise<unknown>;
};
export declare function useContext<T = any>(): T;
declare type CreateFunctionContainerOptions = {
    fn: ApiFunction;
    functionId: string;
    parseArgs: (ctx: any, ...args: any) => any[];
    handlerDecorators?: any[];
    classDecorators?: any[];
    isHTTP?: boolean;
};
export declare function createFunctionContainer(options: CreateFunctionContainerOptions): {
    new (): {
        ctx: any;
        handler(...handlerArgs: any[]): Promise<any>;
    };
};
export {};
